#pragma once

#include <string>
#include <QByteArray>
#include <QPixmap>

class DataDragonImageCache {
public:
	DataDragonImageCache(const std::string& folderextra, const std::string& imageext = ".jpg");
	~DataDragonImageCache();

	bool hasImage(const std::string& name);
	QPixmap getImage(const std::string& name);
	void addImageRaw(const QByteArray& arr, const std::string& name);
private:
	std::string getFilepath(const std::string& name) const;

	std::string cacheDir;
	std::string imageext; // file extention including dot
};
